deepprotenum.h File Reference

base type definition to use in DeepProt More...

`#include "../../exportinmportconfig.h"`
`#include <QString>`

Go to the source code of this file.

## Classes

class | pappso::DeepProtEnumStr

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Enumerations

enum class | pappso::DeepProtMatchType : std::uint8_t { pappso::uncategorized = 0 , pappso::ZeroMassDelta = 1 , pappso::ZeroMassDeltaMissedCleavage , pappso::ZeroMassDeltaSemiTryptic , pappso::DeltaPosition = 4 , pappso::NoDeltaPosition = 5 , pappso::last = 6 }
| definition of different class of PSMs used by DeepProt More...
enum class | pappso::DeepProtPeptideCandidateStatus : std::uint8_t { pappso::unmodified = 0 , pappso::ZeroMassDelta = 1 , pappso::CterRemoval = 2 , pappso::NterRemoval = 3 , pappso::MissedCleavage = 4 , pappso::DeltaPosition = 5 , pappso::NoDeltaPosition = 6 , pappso::last = 7 }
| definition of different status for potential peptide candidates on the same spectrum More...

## Detailed Description

base type definition to use in DeepProt

Date
  22/1/2021

Author
  Olivier Langella olivi.nosp@m.er.l.nosp@m.angel.nosp@m.la@u.nosp@m.niver.nosp@m.site.nosp@m.-pari.nosp@m.s-sa.nosp@m.clay..nosp@m.fr

DeepProt is the C++ implementation of the SpecOMS algorithm

Definition in file deepprotenum.h.